View source Improve this doc

# `$filter`
service in module `ng`

## Description

Filters are used for formatting data displayed to the user.

The general syntax in templates is as follows:

        {{ expression [| filter_name[:parameter_value] ... ] }}

## Usage

    $filter(name);

#### Parameters

Param | Type | Details
--- | --- | ---
name | String | Name of the filter function to retrieve

#### Returns

Function | the filter function